
set( otsdaq_VERSION 2.01.00 )
set( otsdaq_UPS_VERSION v2_01_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( artdaq v0_04_02 )
    find_ups_boost( v1_53_0 )
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( art v1_08_10 )
    find_ups_product( canvas v1_06_00 )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( tbb  )
    find_ups_root(  )
    find_ups_product( artdaq_core v1_03_01 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( artdaq_utilities v1_00_00 )
    find_ups_product( xmlrpc_c v1_25_18 )
    find_ups_product( xerces_c v3_1_2 )
    find_ups_product( artdaq_database v1_03_07 )
    find_ups_product( mongodb v3_4_6 )
    find_ups_product( swig v3_0_12 )
    find_ups_xdaq( v11_2_7 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( ARTDAQ-OTS_ARTMODULES_ARTDAQOTSBUILDINFO_MODULE $ENV{OTSDAQ_LIB}/libartdaq-ots_ArtModules_ArtdaqOtsBuildInfo_module.so )
      set( ARTDAQ-OTS_ARTMODULES_UDPDUMP_MODULE $ENV{OTSDAQ_LIB}/libartdaq-ots_ArtModules_UDPDump_module.so )
      set( ARTDAQ-OTS_ARTMODULES_JSONDISPATCHER_MODULE $ENV{OTSDAQ_LIB}/libartdaq-ots_ArtModules_JSONDispatcher_module.so )
      set( ARTDAQ-OTS_OVERLAYS $ENV{OTSDAQ_LIB}/libartdaq-ots_Overlays.so )
      set( ARTDAQ-OTS_GENERATORS_UDPRECEIVER_GENERATOR $ENV{OTSDAQ_LIB}/libartdaq-ots_Generators_UDPReceiver_generator.so )
      set( ARTDAQ-OTS_BUILDINFO $ENV{OTSDAQ_LIB}/libartdaq-ots_BuildInfo.so )
      set( PLUGINMAKERS $ENV{OTSDAQ_LIB}/libPluginMakers.so )
      set( BITMANIPULATOR $ENV{OTSDAQ_LIB}/libBitManipulator.so )
      set( CGIDATAUTILITIES $ENV{OTSDAQ_LIB}/libCgiDataUtilities.so )
      set( CONFIGURATIONDATAFORMATS $ENV{OTSDAQ_LIB}/libConfigurationDataFormats.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_ARTDAQBOARDREADERCONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_ARTDAQBoardReaderConfiguration_configuration.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_ARTDAQAGGREGATORCONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_ARTDAQAggregatorConfiguration_configuration.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_ARTDAQBUILDERCONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_ARTDAQBuilderConfiguration_configuration.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_FESLOWCONTROLSCONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_FESlowControlsConfiguration_configuration.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_XDAQCONTEXTCONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_XDAQContextConfiguration_configuration.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_DESKTOPICONCONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_DesktopIconConfiguration_configuration.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_MESSAGEFACILITYCONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_MessageFacilityConfiguration_configuration.so )
      set( OTSDAQ-CORE_CONFIGURATIONPLUGINDATAFORMATS_ITERATECONFIGURATION_CONFIGURATION $ENV{OTSDAQ_LIB}/libotsdaq-core_ConfigurationPluginDataFormats_IterateConfiguration_configuration.so )
      set( CONFIGURATIONINTERFACE $ENV{OTSDAQ_LIB}/libConfigurationInterface.so )
      set( CONFIGURABLE $ENV{OTSDAQ_LIB}/libConfigurable.so )
      set( CORESUPERVISORS $ENV{OTSDAQ_LIB}/libCoreSupervisors.so )
      set( DATADECODERS $ENV{OTSDAQ_LIB}/libDataDecoders.so )
      set( WORKLOOPMANAGER $ENV{OTSDAQ_LIB}/libWorkLoopManager.so )
      set( DATAMANAGER $ENV{OTSDAQ_LIB}/libDataManager.so )
      set( ARTDAQDATAMANAGER $ENV{OTSDAQ_LIB}/libARTDAQDataManager.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_ARTDAQCONSUMER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_ARTDAQConsumer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_ARTDAQPRODUCER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_ARTDAQProducer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_UDPDATALISTENERPRODUCER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_UDPDataListenerProducer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_UDPDATASTREAMERCONSUMER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_UDPDataStreamerConsumer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_TCPDATALISTENERPRODUCER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_TCPDataListenerProducer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_TCPDATASTREAMERCONSUMER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_TCPDataStreamerConsumer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_RAWDATASAVERCONSUMER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_RawDataSaverConsumer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_RAWDATAVISUALIZERCONSUMER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_RawDataVisualizerConsumer_processor.so )
      set( OTSDAQ-CORE_DATAPROCESSORPLUGINS_OTSDATASAVERCONSUMER_PROCESSOR $ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_OtsDataSaverConsumer_processor.so )
      set( EVENTBUILDER $ENV{OTSDAQ_LIB}/libEventBuilder.so )
      set( FINITESTATEMACHINE $ENV{OTSDAQ_LIB}/libFiniteStateMachine.so )
      set( MONICELLIINTERFACE $ENV{OTSDAQ_LIB}/libMonicelliInterface.so )
      set( NETWORKUTILITIES $ENV{OTSDAQ_LIB}/libNetworkUtilities.so )
      set( PROGRESSBAR $ENV{OTSDAQ_LIB}/libProgressBar.so )
      set( ROOTUTILITIES $ENV{OTSDAQ_LIB}/libRootUtilities.so )
      set( SOAPUTILITIES $ENV{OTSDAQ_LIB}/libSOAPUtilities.so )
      set( GATEWAYSUPERVISOR $ENV{OTSDAQ_LIB}/libGatewaySupervisor.so )
      set( SUPERVISORINFO $ENV{OTSDAQ_LIB}/libSupervisorInfo.so )
      set( SYSTEMMESSENGER $ENV{OTSDAQ_LIB}/libSystemMessenger.so )
      set( WEBUSERSUTILITIES $ENV{OTSDAQ_LIB}/libWebUsersUtilities.so )
      set( FECORE $ENV{OTSDAQ_LIB}/libFECore.so )
      set( XMLUTILITIES $ENV{OTSDAQ_LIB}/libXmlUtilities.so )
      set( MACROS $ENV{OTSDAQ_LIB}/libMacros.so )
      set( CONTROLSCORE $ENV{OTSDAQ_LIB}/libControlsCore.so )
      set( WIZARDSUPERVISOR $ENV{OTSDAQ_LIB}/libWizardSupervisor.so )
      set( DATALOGGERAPP $ENV{OTSDAQ_LIB}/libDataLoggerApp.so )
      set( DISPATCHERAPP $ENV{OTSDAQ_LIB}/libDispatcherApp.so )
      set( EVENTBUILDERAPP $ENV{OTSDAQ_LIB}/libEventBuilderApp.so )
      include_directories ( $ENV{OTSDAQ_INC} )

check_required_components(otsdaq)

